Bug 622947 - (APSB-10-16, CVE-2010-0209, CVE-2010-2213, CVE-2010-2214, CVE-2010-2215, CVE-2010-2216) CVE-2010-0209 CVE-2010-2213 CVE-2010-2214 CVE-2010-2215 CVE-2010-2216 flash-plugin: multiple security flaws (APSB10-16)
CVE-2010-0209 CVE-2010-2213 CVE-2010-2214 CVE-2010-2215 CVE-2010-2216 flash-p...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
public=20100810,reported=20100810,sou...
: Security
Depends On: 622963 622965 622967 623081
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 17:01 EDT by Vincent Danen
Modified: 2015-08-19 04:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-20 08:27:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-08-10 17:01:08 EDT
On 2010-08-10 Adobe plans to release an update for Adobe Flash Player, providing 10.1.82.76 and 9.0.280, to address multiple security issues allowing code execution.  The flaws are described in the Adobe Security Bulletin APSB10-16:

http://www.adobe.com/support/security/bulletins/apsb10-16.html

* This update resolves a memory corruption vulnerability that could lead to code execution (CVE-2010-0209).

* This update resolves a memory corruption vulnerability that could lead to code execution (CVE-2010-2188).

* This update resolves multiple memory corruption vulnerabilities that could lead to code execution (CVE-2010-2213).

* This update resolves a memory corruption vulnerability that could lead to code execution (CVE-2010-2214).

* This update resolves a vulnerability that could lead to a click-jacking attack. (CVE-2010-2215).

* This update resolves a memory corruption vulnerability that could lead to code execution (CVE-2010-2216).
Comment 3 Vincent Danen 2010-08-11 11:18:15 EDT
Adobe removed CVE-2010-2188 from APSB10-14 and added it here to APSB10-16 with this not in APSB10-14:

June 25, 2010 - Removed reference to CVE-2010-2188, which was not fully resolved with this update

But this is wrong since they had previously claimed APSB10-14 fixed CVE-2010-2188.  MITRE will have to sort this mess out, as a new CVE will need to be assigned for the "fix of a fix" for that issue.
Comment 4 errata-xmlrpc 2010-08-11 15:44:33 EDT
This issue has been addressed in following products:

  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0623 https://rhn.redhat.com/errata/RHSA-2010-0623.html
Comment 5 errata-xmlrpc 2010-08-11 15:46:47 EDT
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for RHEL 4

Via RHSA-2010:0624 https://rhn.redhat.com/errata/RHSA-2010-0624.html
Comment 6 errata-xmlrpc 2010-08-20 07:41:01 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0636 https://rhn.redhat.com/errata/RHSA-2010-0636.html

Note You need to log in before you can comment on or make changes to this bug.